installDAProxy.bin fails due to unsupported Operating System

Document ID : KB000099440
Last Modified Date : 05/06/2018
Show Technical Document Details
Issue:

Customer is preparing a Fault tolerance environment and trying to install the DA Proxy server component.

When running the installation file 'installDAProxy.bin', it fails with following error message:

=============================================================================== 
Unsupported operating system 
---------------------------- 

Unsupported operating system. 

Only RedHat Enterprise Linux 6 and 7 are supported. 

Aborting the installation. 

PRESS <ENTER> TO ACCEPT THE FOLLOWING (Exit): 

=============================================================================== 


This happens doing the installation on a server running the supported Linux Operating System and kernel version:

[root@les000a206149 DAProxy]# uname -a 
Linux les000a206149 3.10.0-693.5.2.el7.x86_64 #1 SMP Fri Oct 13 10:46:25 EDT 201 7 x86_64 x86_64 x86_64 GNU/Linux 
[root@les000a206149 DAProxy]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.4 (Maipo) 

 

Environment:

CA Performance Management 3.5.0

Linux RHEL 7.4

Cause:
The /tmp folder on the DA Proxy Server host where the installDAProxy.bin was copied, as per the installation steps, had not enough space available.
Moving the file to another /tmp location with more space available and running the installation form there solved the problem. 
Resolution:
Use another /tmp space location, with more space than the previous one. 
Apparently we should verify that the /tmp location has at least 4 GB of space available. 

It seems DA Proxy install loads all the required data under /tmp, but if there is not enough space it can't load all the data required and could not find the information to check against. 
 
Additional Information:
According to the CA Performance Management - Operating System Requirements, release 3.5.0 support the Linux version that is used here:
 
ReleaseKernel
RHEL 7.43.10.0-693